#!/bin/bash

cargo build
UIDC=./target/debug/uidc

$UIDC init
$UIDC config load /dev/stdin <<EOF
base_url = "http://localhost:2114"
EOF

$UIDC key generate
$UIDC client create testclient
$UIDC user create kestrel
echo "please enter password for user 'kestrel'"
$UIDC user auth -p kestrel

$UIDC group create testgroup
$UIDC role create testrole
$UIDC group attach-role testgroup testrole
$UIDC group attach-user testgroup kestrel
$UIDC scope create testscope
$UIDC scope attach-role testscope testrole
